> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer Fee

> Fetch the Fees for the transfer being made



## OpenAPI

````yaml get /transfers/fee
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /transfers/fee:
    get:
      tags:
        - Transfers
      summary: Get Transfer Fee
      description: Fetch the Fees for the transfer being made
      operationId: GetTransferFee
      parameters:
        - name: currency
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: string
            example: NGN
        - name: amount
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: integer
            format: int32
            example: 10000
      responses:
        '200':
          description: OK
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '113'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"71-tyLYPwDoPsMiesM8i4zGDA"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Wed, 11 Mar 2020 20:13:17 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessResponse5'
                  - example:
                      status: success
                      message: Transfer fee fetched
                      data:
                        - fee_type: value
                          currency: NGN
                          fee: 26.875
              example:
                status: success
                message: Transfer fee fetched
                data:
                  - fee_type: value
                    currency: NGN
                    fee: 26.875
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 08:48:24 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '63'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"3f-+988wM+kE4kJMyyI+pJuuA"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleErrorResponse1'
                  - example:
                      status: error
                      message: currency is required
                      data: null
              example:
                status: error
                message: currency is required
                data: null
      deprecated: false
components:
  schemas:
    SampleSuccessResponse5:
      title: SampleSuccessResponse5
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/Data35'
          description: ''
      example:
        status: success
        message: Transfer fee fetched
        data:
          - fee_type: value
            currency: NGN
            fee: 26.875
    SampleErrorResponse1:
      title: SampleErrorResponse1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: >-
          retry_interval is required , retry_amount_variable is required ,
          retry_attempt_variable is required
        data: null
    Data35:
      title: Data35
      required:
        - fee_type
        - currency
        - fee
      type: object
      properties:
        fee_type:
          type: string
        currency:
          type: string
        fee:
          type: number
      example:
        fee_type: value
        currency: NGN
        fee: 26.875
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````